> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emite.do/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents



## OpenAPI

````yaml /openapi/public-v1.json get /api/v1/client/documents
openapi: 3.1.0
info:
  title: emite.do API
  description: >-
    API pública para emitir, consultar y operar e-CF ante la DGII. Autenticación
    por header X-API-Key. El POST /api/v1/ecf no promete el estado fiscal final:
    consulta o webhook.
  version: 1.0.0
servers:
  - url: https://api.emite.do
    description: Producción
security:
  - ApiKeyAuth: []
paths:
  /api/v1/client/documents:
    get:
      tags:
        - client
      summary: List Documents
      operationId: list_documents_api_v1_client_documents_get
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: ecf_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 2
                maxLength: 2
              - type: 'null'
            title: Ecf Type
        - name: environment
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Environment
        - name: encf
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Encf
        - name: external_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: External Id
        - name: track_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Track Id
        - name: date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Date From
        - name: date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Date To
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientDocumentListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ClientDocumentListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ClientDocumentResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: ClientDocumentListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientDocumentResponse:
      properties:
        public_id:
          type: string
          title: Public Id
        idempotency_key:
          type: string
          title: Idempotency Key
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
        ecf_type:
          type: string
          title: Ecf Type
        environment:
          type: string
          title: Environment
        encf:
          anyOf:
            - type: string
            - type: 'null'
          title: Encf
        status:
          type: string
          title: Status
        scheduled_for:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Scheduled For
        dgii_track_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dgii Track Id
        dgii_security_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Dgii Security Code
        electronic_stamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Electronic Stamp
        sign_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Sign Date
        submitted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Submitted At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        dgii_response:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Dgii Response
        artifacts:
          $ref: '#/components/schemas/ClientArtifactSummary'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - public_id
        - idempotency_key
        - external_id
        - ecf_type
        - environment
        - encf
        - status
        - scheduled_for
        - dgii_track_id
        - dgii_security_code
        - electronic_stamp
        - sign_date
        - submitted_at
        - completed_at
        - error_code
        - error_message
        - dgii_response
        - artifacts
        - created_at
        - updated_at
      title: ClientDocumentResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ClientArtifactSummary:
      properties:
        generated_xml:
          type: boolean
          title: Generated Xml
        signed_xml:
          type: boolean
          title: Signed Xml
        rfce:
          type: boolean
          title: Rfce
        ri:
          type: boolean
          title: Ri
        dgii_response:
          type: boolean
          title: Dgii Response
        links:
          additionalProperties:
            type: string
          type: object
          title: Links
        retention_years:
          type: integer
          title: Retention Years
      type: object
      required:
        - generated_xml
        - signed_xml
        - rfce
        - ri
        - dgii_response
        - links
        - retention_years
      title: ClientArtifactSummary
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key de la empresa. Se muestra una sola vez al crearla.

````